Update Api Key
Update an API key's metadata.
Path Parameters
- Type: string · Key Idkey
_id required
Headers
- enumAcceptconst:application/jsonrequired
Response format. Must be
application/json.values- application/json
- enumContent
- Type const:application/jsonrequiredRequest payload format. Must be
application/jsonwhen a body is sent.values- application/json
Body·
required
application/json
- Type: string · Expires AtFormat: date-time nullableexpires
_at the date-time notation as defined by RFC 3339, section 5.6, for example, 2017-07-21T17:32:28Z
- Type: string · Name nullablename
- Type: string · enum nullablestatusvalues
- active
- revoked
- expired
Responses
- application/json
- application/json
Request Example for put/v1/api-keys/{key_id}
curl 'https://api.uat.koard.com/v1/api-keys/{key_id}' \
--request PUT \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'x-koard-apikey: YOUR_SECRET_TOKEN' \
--data '{
"expires_at": "",
"name": "",
"status": "active"
}'
{
"account_id": "string",
"created_at": "2026-06-22T13:58:38.512Z",
"expires_at": "2026-06-22T13:58:38.512Z",
"id": "string",
"key": "string",
"last_used_at": "2026-06-22T13:58:38.512Z",
"name": "string",
"status": "active"
}
